Requires an
Idempotency-Key header.Request Body
string
required
The ID of the activated customer. Must exist in your customers table.
number
required
Initial funding amount in USD. Minimum 10,000.00.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST 'https://api.yativo.com/api/v1/customer/virtual/cards/create' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
-H 'Content-Type: application/json' \
-H 'Idempotency-Key: card-create-da44a3e6-001' \
-d '{
"customer_id": "da44a3e6-eb5d-429f-8d17-357aa5a6cdf2",
"amount": 10.00
}'
{
"status": "success",
"status_code": 201,
"message": "Virtual card created successfully",
"data": {
"card_id": "card_01HX9KZMB3F7VNQP8R2WDGT4E5",
"card_number": "4111 **** **** 1234",
"expiry": "04/29",
"currency": "USD",
"balance": "10.00",
"status": "active",
"customer_id": "da44a3e6-eb5d-429f-8d17-357aa5a6cdf2",
"created_at": "2026-04-01T10:00:00Z"
}
}
Issue a virtual prepaid card to an activated customer
curl -X POST 'https://api.yativo.com/api/v1/customer/virtual/cards/create' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
-H 'Content-Type: application/json' \
-H 'Idempotency-Key: card-create-da44a3e6-001' \
-d '{
"customer_id": "da44a3e6-eb5d-429f-8d17-357aa5a6cdf2",
"amount": 10.00
}'
{
"status": "success",
"status_code": 201,
"message": "Virtual card created successfully",
"data": {
"card_id": "card_01HX9KZMB3F7VNQP8R2WDGT4E5",
"card_number": "4111 **** **** 1234",
"expiry": "04/29",
"currency": "USD",
"balance": "10.00",
"status": "active",
"customer_id": "da44a3e6-eb5d-429f-8d17-357aa5a6cdf2",
"created_at": "2026-04-01T10:00:00Z"
}
}
POST https://api.yativo.com/api/v1/customer/virtual/cards/create
Idempotency-Key header.curl -X POST 'https://api.yativo.com/api/v1/customer/virtual/cards/create' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
-H 'Content-Type: application/json' \
-H 'Idempotency-Key: card-create-da44a3e6-001' \
-d '{
"customer_id": "da44a3e6-eb5d-429f-8d17-357aa5a6cdf2",
"amount": 10.00
}'
{
"status": "success",
"status_code": 201,
"message": "Virtual card created successfully",
"data": {
"card_id": "card_01HX9KZMB3F7VNQP8R2WDGT4E5",
"card_number": "4111 **** **** 1234",
"expiry": "04/29",
"currency": "USD",
"balance": "10.00",
"status": "active",
"customer_id": "da44a3e6-eb5d-429f-8d17-357aa5a6cdf2",
"created_at": "2026-04-01T10:00:00Z"
}
}
